import * as $dara from '@darabonba/typescript';
import { StartImagePipelineExecutionResponseBody } from "./StartImagePipelineExecutionResponseBody";
export declare class StartImagePipelineExecutionResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: StartImagePipelineExecutionResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
